net.i2p.client.impl

## Class LkupResult

- java.lang.Object
- - net.i2p.client.impl.LkupResult

- All Implemented Interfaces:
    LookupResult

      public class LkupResult
      extends Object
      implements LookupResult

  The return value of I2PSession.lookupDest2()

- - ### Field Summary

    - ### Fields inherited from interface net.i2p.client.LookupResult

      `RESULT_DECRYPTION_FAILURE, RESULT_DEFERRED, RESULT_FAILURE, RESULT_KEY_REQUIRED, RESULT_SECRET_AND_KEY_REQUIRED, RESULT_SECRET_REQUIRED, RESULT_SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LkupResult(int nonce)` Deferred
    `LkupResult(int code, Destination dest)`
    `LkupResult(int code, Destination dest, int nonce)` Async

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Destination` | `getDestination()`
    `int` | `getNonce()` For async calls only.
    `int` | `getResultCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LkupResult

          LkupResult(int nonce)

      Deferred

    - #### LkupResult

          LkupResult(int code,
                     Destination dest)

    - #### LkupResult

          LkupResult(int code,
                     Destination dest,
                     int nonce)

      Async

  - ### Method Detail

    - #### getDestination

          public Destination getDestination()

      Specified by:
        `getDestination` in interface `LookupResult`
      Returns:
        Destination on success, null on failure

    - #### getNonce

          public int getNonce()

      For async calls only. Nonce will be non-zero. Callback will be called later with the final result and the same nonce.
      Specified by:
        `getNonce` in interface `LookupResult`

    - #### getResultCode

          public int getResultCode()

      Specified by:
        `getResultCode` in interface `LookupResult`
      Returns:
        zero for success, nonzero for failure